๐๏ธ Create Folder
POST /cloud/createFolder โ create a folder in the cloud to store the data files from which you will create the models.
๐๏ธ New APIs in 1.4
18 items
๐๏ธ Upload a File in a Folder
POST /cloud/uploadFile โ upload a file to a specific folder.
๐๏ธ Create a New Instance
POST /cloud/createInstance โ create an instance of the different models available.
๐๏ธ List all Instances in the Cloud
GET /cloud/listInstances โ list the current version of all the instances in a json format.
๐๏ธ Make a Batch Query on Model
POST /cloud/batchQuery โ execute a batch query using a folder of data.
๐๏ธ Query An Instance Created Previously
POST /cloud/query โ execute a query in a specific instance.
๐๏ธ Verify If An Instance Can Be Deleted
GET /cloud/preRemoveInstance โ verify if an instance is removable.
๐๏ธ Remove A Specific Instance
DELETE /cloud/removeInstance โ remove a specific instance, including all associated versions.
๐๏ธ Remove a Folder File
DELETE /cloud/removeFile โ remove a specific file contained in a folder.
๐๏ธ Remove Folder
DELETE /cloud/removeFolder โ remove a specific folder from the cloud.
๐๏ธ List Batch Folders
GET /cloud/listBatchFolders โ list all the batch folders for a specific user and instance.
๐๏ธ Batch Query model
POST /cloud/batchQuery โ execute a batch query using a folder of data.
๐๏ธ List Batch Files
GET /cloud/listBatchFiles โ list the batch files associated with an instance version in the cloud.
๐๏ธ Cancel A Batch Query
POST /cloud/cancelBatchQuery โ cancel the execution of a batch query in a specific instance.
๐๏ธ Restart A Batch Query
POST /cloud/restartBatchQuery โ restart the execution of a cancelled batch query in a specific instance.
๐๏ธ Get Grid Parameters for an Instance
GET /cloud/getDefaultParams โ return the default parameters used for model and grid creation in the cloud.
๐๏ธ List Folders with the Same Instance Header
GET /cloud/listFoldersWithSameHeaderOfInstance โ list folders that have the same specs that the Instance from which the query was made.
๐๏ธ List Folders
GET /cloud/listFolders โ list all folders of a user in the cloud.
๐๏ธ Get Specifications for a Folder
GET /cloud/getSpecsOfFolder โ get the list of the folder header items and the respective recommended data types.
๐๏ธ List Specifications for a Folder
GET /cloud/listSpecByFolder โ returns the model type, file information and the column specifications for each spec file associated with a given folder.
๐๏ธ Create Specifications for a Folder
POST /V2.0/createSpecsForFolder โ creates a column type specification for a folder based on a json column description, folder name, and the model type.
๐๏ธ Remove/Delete a Specifications for a Folder
DELETE /cloud/removeSpec โ remove a spec file from a folder.
๐๏ธ Upload Specifications File for a Folder
POST /cloud/uploadSpecsFile โ returns the model type and file information.
๐๏ธ Set the Version of an Instance
POST /cloud/setCurrentVersion โ set the version of the instance indicated by the instanceName parameter.
๐๏ธ Copy an Instance
POST /cloud/copyInstance โ make a copy the current instance to another one that was created with the same parameters, included the specs.
๐๏ธ Update an Instance
POST /cloud/updateInstance โ rebuild an instance with new data, using the same specs as the original.
๐๏ธ Verify Instance Version Can Be Deleted
POST /cloud/preRemoveVersion โ verify if a version of an instance is removable.
๐๏ธ Remove an Instance Version
DELETE /cloud/removeVersion โ remove a version of a specific instance.
๐๏ธ Cancel a Grid Instance
POST /cloud/cancelGridInstance โ cancel a grid instance, the grid can only be cancelled when the status is 'PROCESSING'.
๐๏ธ Restart a Grid Instance
POST /cloud/restartGridInstance โ restart a grid instance, the grid can only be restarted when the status is 'CANCELLED'.
๐๏ธ List All Versions of an Instance
GET /cloud/listVersions โ list the versions of an instance in a json format and show what is the current version of the instance.
๐๏ธ Remove a Batch File
DELETE /cloud/removeBatchFile โ remove a batch query of a specific instance.
๐๏ธ List Fold Experiments
GET /cloud/listFoldExperiments โ list all the fold experiments executed in a specific instance in json format.
๐๏ธ Execute a Fold Experiment
POST /cloud/executeFoldExperiment โ execute a fold experiment using the data loaded in the creation of the instance.
๐๏ธ Cancel a Fold Experiment
POST /cloud/cancelFoldExperiment โ cancel the execution of a fold experiment in a specific instance.
๐๏ธ Restart a Fold Experiment
POST /cloud/restartFoldExperiment โ restart the execution of a cancelled fold experiment in a specific instance.
๐๏ธ Remove a Fold Experiment
DELETE /cloud/removeFoldExperiment โ remove a fold experiment of a specific instance.
๐๏ธ Change the Name of a Folder
POST /cloud/changeFolderName โ change the folder name of a data folder.
๐๏ธ Query a Previously Created Instance
POST /cloud/queryObject โ execute a query in a specific instance.
๐๏ธ Get Current Version of the API and GUI
POST /cloud/getReleaseInfo โ returns a json that contains the information of the current server version that is running the API and the GUI.
๐๏ธ Query an Instance for Why Factors
POST /cloud/queryVisualization โ execute a query in a specific instance.
๐๏ธ Query Streamlined Whyรขยยs for simClassify+
POST /V2.0/queryFactors โ execute a query in a specific simClassify+ instance.
๐๏ธ Get Information About Disk Storage
GET /cloud/getStorageDiskInfo โ let you get the info of the server where the cloud is running.
๐๏ธ List All Files in a Folder
GET /cloud/listFiles โ list all the files in a specific folder in json format.
๐๏ธ Health Check
GET /cloud/healthCheck โ in load balanced deployments this API will provide the load balancer with information about servers in the pool.